org.apache.lucene.analysis.fr

## Class FrenchStemmer

- java.lang.Object
- - org.apache.lucene.analysis.fr.FrenchStemmer

Deprecated.
Use `FrenchStemmer` instead, which has the same functionality. This filter will be removed in Lucene 4.0

    @Deprecated
    public class FrenchStemmer
    extends Object

A stemmer for French words.

The algorithm is based on the work of Dr Martin Porter on his snowball project
refer to http://snowball.sourceforge.net/french/stemmer.html
(French stemming algorithm) for details

### Constructor Summary

Constructors
Constructor and Description
`FrenchStemmer()` Deprecated.

### Method Summary

Methods
`protected String` `stem(String term)` Deprecated. Stems the given term to a unique `discriminator`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FrenchStemmer

    public FrenchStemmer()

Deprecated.

### Method Detail

#### stem

    protected String stem(String term)

Deprecated.
Stems the given term to a unique `discriminator`.

Parameters:
  `term` - java.langString The term that should be stemmed
Returns:
  java.lang.String Discriminator for `term`